## cpuburn 1.4a

=== Makefile ===
all : burnP5 burnP6 burnK6 burnK7 burnBX burnMMX
.S:
	gcc -s -nostdlib -o $@ $<

=== ARM/Makefile ===
#  cpuburn : Makefile burnCortexA8 
#  Author: Grégory Herrero <g-herrero@ti.com>
#  Copyright 2010 Texas Instruments. All Right Reserved
#  Licensed under GNU General Public Licence 2.0.  No warrantee.

CC := arm-none-linux-gnueabi-gcc
.PHONY: all

all: burnCortexA8 burnCortexA9

burnCortexA8: burnCortexA8.s
	$(CC) -g -Wa,-mthumb,-mfpu=neon,-mcpu=cortex-a8,-march=armv7-a -nostdlib -mcpu=cortex-a8 -march=armv7-a -mfpu=neon -mthumb -mfloat-abi=softfp  burnCortexA8.s -o $@

burnCortexA9: burnCortexA9.s
	$(CC) -g -Wa,-mthumb,-mfpu=neon,-mcpu=cortex-a9,-march=armv7-a -nostdlib -mcpu=cortex-a9 -march=armv7-a -mfpu=neon -mthumb -mfloat-abi=softfp  burnCortexA9.s -o $@

=== debian/changelog ===
cpuburn (1.4a-6) unstable; urgency=medium

  * Add 03-arm-hardfp.patch to not force soft float ABI (closes:
    #777652).
  * Don't recommend hwtools and kernel-patch-bdram which are not available
    anymore in the archive (closes: #740660).
  * Don't build on armel as cpuburn needs a ARM v7 CPU. Users with an ARM v7
    CPU running armel should install the armhf version through multiarch
    (closes: #637159).
  * Bump Standards-Version to 3.9.6 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Apr 2015 20:34:27 +0200

cpuburn (1.4a-5) unstable; urgency=low

  * Build-depends on gcc-multilib only on 64-bit architectures. 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Jun 2013 15:46:00 +0200

cpuburn (1.4a-4) unstable; urgency=low

  * Build-depends on gcc-multilib (closes: #713686).
  * Build on x32.
  * Bump Standards-Version to 3.9.4 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Jun 2013 01:07:43 +0200

cpuburn (1.4a-3) unstable; urgency=low

  * Add Dutch debconf translation. Thanks to Jeroen Schot (closes:
    bug#657006).
  * Add build-arch and build-indep targets.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Jan 2012 23:33:16 +0100

cpuburn (1.4a-2) unstable; urgency=low

  * Add support for armhf (closes: #627247).
  * Improve arm an x86 manpages, based on work from Ben Wong (closes:
    #604661).
  * Bump Standards-Version to 3.9.2 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 19:15:53 +0200

cpuburn (1.4a-1) unstable; urgency=low

  * New upstream version:
    - Support for ARM Cortex CPU (closes: bug#589276).
  * Switch to debhelper 7.
  * Bump Standards-Version to 3.9.0 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Jul 2010 14:33:14 +0200

cpuburn (1.4-40) unstable; urgency=low

  * Update Danish debconf translation. Thanks to Joe Hansen (closes:
    bug#586234).
  * Bump Standards-Version to 3.8.4 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Jun 2010 20:24:01 +0200

cpuburn (1.4-39) unstable; urgency=low

  * Update Russian debconf translation.  Thanks to Yuri Kozlov (closes:
    bug#530337).
  * Bump Standards-Version to 3.8.1 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 May 2009 16:16:44 +0200

cpuburn (1.4-38) unstable; urgency=low

  * Update Vietnamese debconf translation. Thanks to Clytie Siddall
    (closes: bug#515877).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 18 Feb 2009 06:56:12 +0100

cpuburn (1.4-37) unstable; urgency=low

  * Update Spanish debconf translation. Thanks to Francisco Javier 
    Cuadrado (closes: bug#508880).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Dec 2008 11:23:16 +0100

cpuburn (1.4-36) unstable; urgency=low

  * Update Japanese debconf translation. Thanks to Martin Ågren (closes:
    bug#492746).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 29 Jul 2008 01:11:19 +0200

cpuburn (1.4-35) unstable; urgency=low

  * Update Japanese debconf translation. Thanks to Hideki Yamane (closes:
    bug#489938).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 16 Jul 2008 10:56:03 +0200

cpuburn (1.4-34) unstable; urgency=low

  * Update Portuguese debconf translation. Thanks to Ricardo Silva (closes:
    bug#487861).
  * Bumped Standards-Version to 3.8.0 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Jun 2008 08:01:00 +0200

cpuburn (1.4-33) unstable; urgency=low

  * Update Czech debconf translation. Thanks to Miroslav Kure (closes:
    bug#480923).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 16:57:29 +0200

cpuburn (1.4-32) unstable; urgency=low

  * Update Italian debconf translation. Thanks to Luca Monducci (closes:
    bug#479362).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 May 2008 18:39:34 +0200

cpuburn (1.4-31) unstable; urgency=low

  * Update French debconf translation. Thanks to Christian Perrier
    (closes: bug#475401).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 11 Apr 2008 17:31:20 +0200

cpuburn (1.4-30) unstable; urgency=low

  * Update German debconf translation. Thanks to Alwin Meschede 
    (closes: bug#474430).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Apr 2008 00:59:37 +0200

cpuburn (1.4-29) unstable; urgency=low

  * Fix burn duration for "10m" (closes: bug#472754).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 Mar 2008 15:14:59 +0100

cpuburn (1.4-28) unstable; urgency=low

  * Add a udeb package to provide hardware burning support in d-i, 
    based on a patch from Chris Lamb (closes: bug#468829).
  * Fix debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 02 Mar 2008 01:17:52 +0100

cpuburn (1.4-27) unstable; urgency=low

  * Remove empty directory usr/share/man/man8/.
  * Bumped Standards-Version to 3.7.3 (no changes). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 19:59:13 +0100

cpuburn (1.4-26) unstable; urgency=low

  * Suggests memtester instead of sysutils (closes: bug#437496). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 13 Aug 2007 12:08:10 +0200

cpuburn (1.4-25) unstable; urgency=low

  * Added Italian debconf translation. Thanks to Luca Monducci (closes:
    bug#427209).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 21 Jun 2007 20:28:09 +0200

cpuburn (1.4-24) unstable; urgency=low

  * Added Dutch debconf translation. Thanks to Bart Cornelis (closes:
    bug#415517).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 07 Apr 2007 20:10:59 +0200

cpuburn (1.4-23) unstable; urgency=low

  * Added Portuguese debconf translation. Thanks to Miguel Figueiredo (closes:
    bug#381739).

 -- Aurelien Jarno <aurel32@debian.org>  Sun,  6 Aug 2006 23:57:35 +0200

cpuburn (1.4-22) unstable; urgency=low

  * Fix FTBFS with non-bash shells (closes: bug#379717).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 29 Jul 2006 11:21:25 +0200

cpuburn (1.4-21) unstable; urgency=low

  * Added Brazilian Portuguese debconf translation. Thanks to Felipe 
    Augusto van de Wiel (closes: bug#375450). 


=== debian/control ===
Source: cpuburn
Section: misc
Priority: extra
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>> 7), gcc-multilib [amd64 kfreebsd-amd64 x32]
Standards-Version: 3.9.6

Package: cpuburn
Architecture: amd64 armhf i386 hurd-i386 kfreebsd-i386 kfreebsd-amd64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: memtest86, memtester
Description: Collection of programs to put heavy load on CPU
 CPUburn is a collection of programs to put heavy stress on CPU.
 These programs are designed to load CPUs as heavily as possible
 for the purposes of system testing.
 .
 Warning: The goal has been to maximize heat production from the CPU, 
 putting stress on the CPU itself, cooling system, motherboard. This
 may cause data loss (filesystem corruption) and possibly permanent 
 damage to electronic components. Use at your own risk.

Package: cpuburn-udeb
XC-Package-Type: udeb
XB-Installer-Menu-Item: 2600
Priority: optional
Section: debian-installer
Architecture: amd64 i386 hurd-i386 kfreebsd-i386 kfreebsd-amd64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: perform CPU stress test (burn in) - expert use only

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH_CPU      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
ifneq (,$(findstring $(DEB_BUILD_ARCH_CPU),amd64 i386))
	$(MAKE) CC=gcc
endif
ifneq (,$(findstring $(DEB_BUILD_ARCH_CPU),arm arm64))
	cd ARM && $(MAKE) CC=gcc
endif
	touch build-arch-stamp

build-indep:
# We have nothing to do by default.

clean:
	dh_testdir
	dh_testroot
	rm -f burnP5 burnP6 burnK6 burnK7 burnBX burnMMX
	rm -f ARM/burnCortexA8 ARM/burnCortexA9
	rm -f build-arch-stamp 
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_lintian
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
